2018-06-19 09:45 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001255FSSCPgameplaypublic2007-03-22 21:52
ReporterMp-Ryan 
Assigned Totaylor 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001255: Clicking 'Commit' on "Incoming Transmission" screen causes game to crash
DescriptionAs also discussed in this thread: http://www.hard-light.net/forums/index.php/topic,45082.0.html

This problem occurs 100% of the time in Homesick, and it occurs in Inferno mission "El Diablo" IF the player targets any of the turrets on the Diablo in the first half of the mission. If the player does not, the next mission loads but the Diablo has 0% on all subsystems and no turrets.

Disabling/enabling the mediavps has no effect on the crash. Disabling/enabling SCP features has no effect on the crash.

System specs: AMD Athlon 1.33 Ghz processor, 512 MB SDRAM, Radeon 9500Pro 128MB
Command lines: -glow -mipmap -nomotiondebris -img2dds -cache_bitmaps -dualscanlines -targetinfo -snd_preload -fps (as I said, turning these on or off has no effect, it still crashes).

Debug information from fs2_open.log for the Inferno crash can be found in the linked thread. Debug information for the Homesick crash can be found below. In both instances, GS_EVENT_ENTER_GAME and GS_STATE_RED_ALERT are one of the first and last lines found in the debug spew.

Note that in both campaigns, when the previous mission is first completed and the "Incoming Transmission" screen loads, moving the cursor over either "Replay Mission" or "Commit" brings up a black box for the cursor. This does not occur after the game is restarted, but the crash unfortunaely still does. In addition, when the Commit button is pressed, the cursor moves to the center of the screen, the gamma flickers and darkens, and then the cursor moves back to the Commit button, and the game crashes. I am attaching the windows errorlog as well.
Additional Information==========================================================================
DEBUG SPEW: No debug_filter.cfg found, so only general, error, and warning
categories can be shown and no debug_filter.cfg info will be saved.
==========================================================================
Passed cmdline options:
  -mipmap
  -glow
  -nomotiondebris
  -cache_bitmaps
  -img2dds
  -dualscanlines
  -targetinfo
  -snd_preload
  -mod Mods\homesick
  -fps
Building file index...
Searching root 'C:\strcapps\freespace2\Mods\homesick\'
Searching root pack 'C:\strcapps\freespace2\Mods\homesick\Homesick.vp'
Searching root 'C:\strcapps\freespace2\'
Searching root pack 'C:\strcapps\freespace2\FS2cutscenepack.vp'
Searching root pack 'C:\strcapps\freespace2\root_fs2.vp'
Searching root pack 'C:\strcapps\freespace2\smarty_fs2.vp'
Searching root pack 'C:\strcapps\freespace2\sparky_fs2.vp'
Searching root pack 'C:\strcapps\freespace2\sparky_hi_fs2.vp'
Searching root pack 'C:\strcapps\freespace2\stu_fs2.vp'
Searching root pack 'C:\strcapps\freespace2\tango1_fs2.vp'
Searching root pack 'C:\strcapps\freespace2\tango2_fs2.vp'
Searching root pack 'C:\strcapps\freespace2\tango3_fs2.vp'
Searching root pack 'C:\strcapps\freespace2\warble_fs2.vp'
Found 13 roots and 7126 files.
Setting language to English
Initializing OpenAL...
  Using 'Generic Software' as OpenAL sound device...
  OpenAL Vendor : Creative Labs Inc.
  OpenAL Renderer : Software
  OpenAL Version : 1.1

... OpenAL successfully initialized!
GR_CPU: Family 6, MMX=Yes
Initializing OpenGL graphics device at 1024x768 with 32-bit color...
  Initializing WGL...
  Requested WGL Video values = R: 8, G: 8, B: 8, depth: 24, double-buffer: 1
  Actual WGL Video values = R: 8, G: 8, B: 8, depth: 24, double-buffer: 1
  OpenGL Vendor : ATI Technologies Inc.
  OpenGL Renderer : RADEON 9500 Pro x86/MMX/3DNow!
  OpenGL Version : 2.0.6287 WinXP Release

  Using extension "GL_EXT_fog_coord".
  Using extension "GL_ARB_multitexture".
  Using extension "GL_ARB_texture_env_add".
  Using extension "GL_ARB_texture_compression".
  Using extension "GL_EXT_texture_compression_s3tc".
  Using extension "GL_EXT_texture_filter_anisotropic".
  Using extension "GL_ARB_texture_env_combine".
  Using extension "GL_EXT_compiled_vertex_array".
  Using extension "GL_EXT_draw_range_elements".
  Using extension "GL_ARB_texture_mirrored_repeat".
  Unable to find extension "GL_ARB_texture_non_power_of_two".
  Using extension "GL_ARB_vertex_buffer_object".
  Using extension "GL_ARB_pixel_buffer_object".
  Unable to find extension "GL_APPLE_client_storage".
  Using extension "GL_SGIS_generate_mipmap".
  Using extension "GL_EXT_framebuffer_object".
  Using extension "GL_ARB_texture_rectangle".
  Using extension "GL_EXT_bgra".
  Using extension "GL_ARB_texture_cube_map".
  Using extension "GL_EXT_texture_lod_bias".
  Found special extension function "wglSwapIntervalEXT".

  Max texture units: 8
  Max elements vertices: 2147483647
  Max elements indices: 65535
  Max texture size: 2048x2048
  Can use compressed textures: YES
  Texture compression available: YES
  Using bilinear texture filter.
... OpenGL init is complete!
Size of bitmap info = 705 KB
Size of bitmap extra info = 40 bytes
ANI cursorweb with size 24x24 (25.0% wasted)
GRAPHICS: Initializing default colors...
SCRIPTING: Beginning initialization sequence...
SCRIPTING: Beginning Lua initialization...
LUA: Opening LUA state...
LUA: Initializing base Lua libraries...
LUA: Performing global function/(library/object) name repeat check...
LUA: Performing library/object name repeat check...
LUA: Performing object/object name repeat check...
LUA: Performing library/library name repeat check...
LUA: Initializing library functions...
LUA: Initializing object functions...
SCRIPTING: Beginning main hook parse sequence....
Wokka! Error opening file (scripting.tbl)!
Unable to parse scripting.tbl! Code = 5.
SCRIPTING: Inititialization complete.
Using high memory settings...
Wokka! Error opening file (interface.tbl)!
Unable to parse interface.tbl!
cf_get_file_list_preallocated looking for type=7, filter="*-sdf.tbm"
ANI 2_radar1 with size 170x170 (33.6% wasted)
Windoze reported 16 joysticks, we found 0
Current soundtrack set to -1 in event_music_reset_choices
cf_get_file_list_preallocated looking for type=7, filter="*-mus.tbm"
cf_get_file_list_preallocated looking for type=7, filter="*-mfl.tbm"
Wokka! Error opening file (armor.tbl)!
Unable to parse armor.tbl!
cf_get_file_list_preallocated looking for type=7, filter="*-amr.tbm"
cf_get_file_list_preallocated looking for type=7, filter="*-wxp.tbm"
cf_get_file_list_preallocated looking for type=7, filter="*-wep.tbm"
cf_get_file_list_preallocated looking for type=7, filter="*-aip.tbm"
cf_get_file_list_preallocated looking for type=7, filter="*-obt.tbm"
cf_get_file_list_preallocated looking for type=7, filter="*-shp.tbm"
cf_get_file_list_preallocated looking for type=7, filter="*-hdg.tbm"
cf_get_file_list_preallocated looking for type=7, filter="*-str.tbm"
cf_get_file_list_preallocated looking for type=25, filter="*.pcx"
cf_get_file_list_preallocated looking for type=32, filter="*.pcx"
loading animated cursor "cursor"
ANI cursor with size 24x24 (25.0% wasted)
Ships.tbl is : VALID
Weapons.tbl is : VALID
cfile_init() took 65
Got event GS_EVENT_GAME_INIT (49) in state NOT A VALID STATE (0)
cf_get_file_list_preallocated looking for type=28, filter="*.pl2"
cf_get_file_list_preallocated looking for type=28, filter="*.plr"
ANI cursor.ani with size 24x24 (25.0% wasted)
Frame 0 too long!!: frametime = 0.447 (0.447)
Got event GS_EVENT_MAIN_MENU (0) in state GS_STATE_INITIAL_PLAYER_SELECT (37)
Someone passed an extension to bm_load for file '103rd.pcx'
ANI 2_mainwalk.ani with size 477x477 (6.8% wasted)
ANI 2_mainflyby.ani with size 189x189 (26.2% wasted)
ANI 2_maincrane.ani with size 116x116 (9.4% wasted)
ANI 2_mainexit.ani with size 174x174 (32.0% wasted)
ANI 2_mainbarracks.ani with size 158x158 (38.3% wasted)
ANI 2_mainreadyroom.ani with size 145x145 (43.4% wasted)
ANI 2_maintechroom.ani with size 119x119 (7.0% wasted)
ANI 2_mainoptions.ani with size 206x206 (19.5% wasted)
ANI 2_maincampaign.ani with size 190x190 (25.8% wasted)
Frame 0 too long!!: frametime = 0.520 (0.520)
Frame 0 too long!!: frametime = 0.434 (0.434)
Got event GS_EVENT_NEW_CAMPAIGN (26) in state GS_STATE_MAIN_MENU (1)
Got event GS_EVENT_START_GAME (1) in state GS_STATE_MAIN_MENU (1)
=================== STARTING LEVEL LOAD ==================
ANI 2_Loading.ani with size 43x43 (32.8% wasted)
Starting model page in...
Beginning level bitmap paging...
cf_get_file_list_preallocated looking for type=7, filter="*-fbl.tbm"
loading warp model -1
MISSION LOAD: 'Hmsk-09.fs2'
Hmmm... Extension passed to mission_load...
Starting mission message count : 205
Ending mission message count : 205
Current soundtrack set to -1 in event_music_reset_choices
Loading model 'corvette2t-01.pof'
IBX: Found a good IBX to read for 'corvette2t-01.pof'.
IBX-DEBUG => POF checksum: 2490627512, IBX checksum: 3075940104 -- "corvette2t-01.pof"
Loading model 'fighter06.pof'
IBX: Found a good IBX to read for 'fighter06.pof'.
IBX-DEBUG => POF checksum: 1793087080, IBX checksum: 3946408351 -- "fighter06.pof"
Loading model 'fighter07.pof'
IBX: Found a good IBX to read for 'fighter07.pof'.
IBX-DEBUG => POF checksum: 1901191846, IBX checksum: 1574690041 -- "fighter07.pof"
Loading model 'fighter13.pof'
IBX: Found a good IBX to read for 'fighter13.pof'.
IBX-DEBUG => POF checksum: 1716411562, IBX checksum: 2048394370 -- "fighter13.pof"
ANI 2_lock1 with size 53x53 (17.2% wasted)
ANI 2_lockspin with size 100x100 (21.9% wasted)
ANI 2_lead1 with size 26x26 (18.8% wasted)
ANI 2_energy2 with size 96x96 (25.0% wasted)
ANI toggle1 with size 20x20 (37.5% wasted)
ANI weapons1 with size 20x20 (37.5% wasted)
ANI 2_toparc1 with size 60x60 (6.3% wasted)
ANI 2_toparc2 with size 24x24 (25.0% wasted)
ANI 2_toparc3 with size 29x29 (9.4% wasted)
ANI 2_leftarc with size 252x252 (1.6% wasted)
ANI 2_rightarc1 with size 252x252 (1.6% wasted)
ANI 2_reticle1 with size 24x24 (25.0% wasted)
ANI targhit1 with size 21x21 (34.4% wasted)
ANI energy1 with size 41x41 (35.9% wasted)
ANI targetview1 with size 156x156 (39.1% wasted)
ANI targetview2 with size 96x96 (25.0% wasted)
ANI targetview3 with size 20x20 (37.5% wasted)
ANI damage1 with size 25x25 (21.9% wasted)
ANI support1 with size 24x24 (25.0% wasted)
ANI objective1 with size 21x21 (34.4% wasted)
ANI wingman1 with size 53x53 (17.2% wasted)
ANI wingman2 with size 53x53 (17.2% wasted)
ANI wingman3 with size 53x53 (17.2% wasted)
ANI netlag1 with size 30x30 (6.3% wasted)
ANI head1 with size 132x132 (48.4% wasted)
ANI time1 with size 23x23 (28.1% wasted)
Loading model 'ast03.pof'
IBX: Found a good IBX to read for 'ast03.pof'.
IBX-DEBUG => POF checksum: 1838974280, IBX checksum: 2764380002 -- "ast03.pof"
Loading model 'ast02.pof'
IBX: Found a good IBX to read for 'ast02.pof'.
IBX-DEBUG => POF checksum: 3411020186, IBX checksum: 1698688057 -- "ast02.pof"
Loading model 'ast01.pof'
IBX: Found a good IBX to read for 'ast01.pof'.
IBX-DEBUG => POF checksum: 1386280591, IBX checksum: 2772285756 -- "ast01.pof"
=================== STARTING LEVEL DATA LOAD ==================
About to page in ships!
ANI shield-f01 with size 93x93 (27.3% wasted)
Loading model 'fighter01.pof'
IBX: Found a good IBX to read for 'fighter01.pof'.
IBX-DEBUG => POF checksum: 3514481786, IBX checksum: 1888734185 -- "fighter01.pof"
ANI shield-f06 with size 93x93 (27.3% wasted)
ANI shield-f13 with size 93x93 (27.3% wasted)
ANI shieldft-05 with size 93x93 (27.3% wasted)
Loading model 'fighter2t-05.pof'
IBX: Found a good IBX to read for 'fighter2t-05.pof'.
IBX-DEBUG => POF checksum: 1130991410, IBX checksum: 825400074 -- "fighter2t-05.pof"
ANI shield-b09 with size 93x93 (27.3% wasted)
Loading model 'bomber09.pof'
IBX: Found a good IBX to read for 'bomber09.pof'.
IBX-DEBUG => POF checksum: 4090716275, IBX checksum: 1635041936 -- "bomber09.pof"
Loading model 'support2t-01.pof'
IBX: Found a good IBX to read for 'support2t-01.pof'.
IBX-DEBUG => POF checksum: 3683740669, IBX checksum: 758791252 -- "support2t-01.pof"
Loading model 'cruiser01.pof'
IBX: Found a good IBX to read for 'cruiser01.pof'.
IBX-DEBUG => POF checksum: 109537095, IBX checksum: 4057886811 -- "cruiser01.pof"
ANI shield-f07 with size 93x93 (27.3% wasted)
ANI shield-f08 with size 93x93 (27.3% wasted)
Loading model 'fighter08.pof'
IBX: Found a good IBX to read for 'fighter08.pof'.
IBX-DEBUG => POF checksum: 2156423984, IBX checksum: 3741054428 -- "fighter08.pof"
ANI shield-f09 with size 93x93 (27.3% wasted)
Loading model 'fighter09.pof'
IBX: Found a good IBX to read for 'fighter09.pof'.
IBX-DEBUG => POF checksum: 1557516692, IBX checksum: 3701944027 -- "fighter09.pof"
ANI shieldfv-01 with size 93x93 (27.3% wasted)
Loading model 'fighter2v-01.pof'
IBX: Found a good IBX to read for 'fighter2v-01.pof'.
IBX-DEBUG => POF checksum: 387893888, IBX checksum: 2375526533 -- "fighter2v-01.pof"
ANI shieldfv-02 with size 93x93 (27.3% wasted)
Loading model 'fighter2v-02.pof'
IBX: Found a good IBX to read for 'fighter2v-02.pof'.
IBX-DEBUG => POF checksum: 3147999102, IBX checksum: 3822743802 -- "fighter2v-02.pof"
ANI shieldbv-01 with size 93x93 (27.3% wasted)
Loading model 'fighter2v-03.pof'
IBX: Found a good IBX to read for 'fighter2v-03.pof'.
IBX-DEBUG => POF checksum: 4291079045, IBX checksum: 3650170022 -- "fighter2v-03.pof"
Loading model 'support2v-01.pof'
IBX: Found a good IBX to read for 'support2v-01.pof'.
IBX-DEBUG => POF checksum: 3033145745, IBX checksum: 311387289 -- "support2v-01.pof"
Loading model 'cruiser02.pof'
IBX: Found a good IBX to read for 'cruiser02.pof'.
IBX-DEBUG => POF checksum: 2584076485, IBX checksum: 209139611 -- "cruiser02.pof"
Loading model 'cruiser2V-01.pof'
IBX: Found a good IBX to read for 'cruiser2V-01.pof'.
IBX-DEBUG => POF checksum: 744070396, IBX checksum: 3132913543 -- "cruiser2V-01.pof"
Loading model 'corvette2v-01.pof'
IBX: Found a good IBX to read for 'corvette2v-01.pof'.
IBX-DEBUG => POF checksum: 1388402522, IBX checksum: 2645479234 -- "corvette2v-01.pof"
Loading model 'capital03.pof'
IBX: Found a good IBX to read for 'capital03.pof'.
IBX-DEBUG => POF checksum: 3388909364, IBX checksum: 854187540 -- "capital03.pof"
Warning: Ignoring unrecognized subsystem fighterbay 1, believed to be in ship capital03.pof
Warning: Ignoring unrecognized subsystem fighterbay 2, believed to be in ship capital03.pof
This mission requires 448 Ship_subsystems. See #define MAX_SHIP_SUBOBJECTS.
Loading model 'hornet.pof'
IBX: Found a good IBX to read for 'hornet.pof'.
IBX-DEBUG => POF checksum: 1463092824, IBX checksum: 1001920542 -- "hornet.pof"
Loading model 'rockeye.pof'
IBX: Found a good IBX to read for 'rockeye.pof'.
IBX-DEBUG => POF checksum: 4051743095, IBX checksum: 1426991478 -- "rockeye.pof"
Loading model 'Tempest.pof'
IBX: Found a good IBX to read for 'Tempest.pof'.
IBX-DEBUG => POF checksum: 2582055991, IBX checksum: 902538880 -- "Tempest.pof"
Loading model 'NewHornet.pof'
IBX: Found a good IBX to read for 'NewHornet.pof'.
IBX-DEBUG => POF checksum: 252169483, IBX checksum: 788007015 -- "NewHornet.pof"
Loading model 'bombardier.pof'
IBX: Found a good IBX to read for 'bombardier.pof'.
IBX-DEBUG => POF checksum: 2575899787, IBX checksum: 2666347505 -- "bombardier.pof"
Loading model 'crossbow.pof'
IBX: Found a good IBX to read for 'crossbow.pof'.
IBX-DEBUG => POF checksum: 852142110, IBX checksum: 1760043162 -- "crossbow.pof"
Loading model 'trebuchet.pof'
IBX: Found a good IBX to read for 'trebuchet.pof'.
IBX-DEBUG => POF checksum: 3041141961, IBX checksum: 859758991 -- "trebuchet.pof"
Loading model 'piranha.pof'
IBX: Found a good IBX to read for 'piranha.pof'.
IBX-DEBUG => POF checksum: 2155204485, IBX checksum: 3170452753 -- "piranha.pof"
Loading model 'stilettoII.pof'
IBX: Found a good IBX to read for 'stilettoII.pof'.
IBX-DEBUG => POF checksum: 3940925484, IBX checksum: 1329739360 -- "stilettoII.pof"
Loading model 'belial.pof'
IBX: Found a good IBX to read for 'belial.pof'.
IBX-DEBUG => POF checksum: 1754326632, IBX checksum: 3826719420 -- "belial.pof"
Loading model 'cmeasure01.pof'
IBX: Found a good IBX to read for 'cmeasure01.pof'.
IBX-DEBUG => POF checksum: 3857917235, IBX checksum: 1369793329 -- "cmeasure01.pof"
Loading model 'harbinger.pof'
IBX: Found a good IBX to read for 'harbinger.pof'.
IBX-DEBUG => POF checksum: 2121319615, IBX checksum: 4003534300 -- "harbinger.pof"
Loading model 'Interceptor.pof'
IBX: Found a good IBX to read for 'Interceptor.pof'.
IBX-DEBUG => POF checksum: 908169754, IBX checksum: 559317902 -- "Interceptor.pof"
Loading model 'debris01.pof'
IBX: Found a good IBX to read for 'debris01.pof'.
IBX-DEBUG => POF checksum: 2538545483, IBX checksum: 3906274773 -- "debris01.pof"
Loading model 'debris02.pof'
IBX: Found a good IBX to read for 'debris02.pof'.
IBX-DEBUG => POF checksum: 2383342928, IBX checksum: 3124603306 -- "debris02.pof"
Paging in mission messages
Stopping model page in...
ANI 2_radar1.ani with size 170x170 (33.6% wasted)
ANI 2_lock1.ani with size 53x53 (17.2% wasted)
ANI 2_lead1.ani with size 26x26 (18.8% wasted)
ANI 2_energy2.ani with size 96x96 (25.0% wasted)
ANI toggle1.ani with size 20x20 (37.5% wasted)
ANI weapons1.ani with size 20x20 (37.5% wasted)
ANI 2_toparc1.ani with size 60x60 (6.3% wasted)
ANI 2_toparc2.ani with size 24x24 (25.0% wasted)
ANI 2_toparc3.ani with size 29x29 (9.4% wasted)
ANI 2_leftarc.ani with size 252x252 (1.6% wasted)
ANI 2_rightarc1.ani with size 252x252 (1.6% wasted)
ANI 2_reticle1.ani with size 24x24 (25.0% wasted)
ANI targhit1.ani with size 21x21 (34.4% wasted)
ANI energy1.ani with size 41x41 (35.9% wasted)
ANI targetview1.ani with size 156x156 (39.1% wasted)
ANI targetview2.ani with size 96x96 (25.0% wasted)
ANI targetview3.ani with size 20x20 (37.5% wasted)
ANI damage1.ani with size 25x25 (21.9% wasted)
ANI support1.ani with size 24x24 (25.0% wasted)
ANI objective1.ani with size 21x21 (34.4% wasted)
ANI wingman1.ani with size 53x53 (17.2% wasted)
ANI wingman2.ani with size 53x53 (17.2% wasted)
ANI wingman3.ani with size 53x53 (17.2% wasted)
ANI netlag1.ani with size 30x30 (6.3% wasted)
ANI head1.ani with size 132x132 (48.4% wasted)
ANI time1.ani with size 23x23 (28.1% wasted)
ANI shield-f01.ani with size 93x93 (27.3% wasted)
ANI shield-f06.ani with size 93x93 (27.3% wasted)
ANI shield-f13.ani with size 93x93 (27.3% wasted)
ANI shieldft-05.ani with size 93x93 (27.3% wasted)
ANI shield-b09.ani with size 93x93 (27.3% wasted)
ANI shield-f07.ani with size 93x93 (27.3% wasted)
ANI shield-f08.ani with size 93x93 (27.3% wasted)
ANI shield-f09.ani with size 93x93 (27.3% wasted)
ANI shieldfv-01.ani with size 93x93 (27.3% wasted)
ANI shieldfv-02.ani with size 93x93 (27.3% wasted)
ANI shieldbv-01.ani with size 93x93 (27.3% wasted)
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP256x256+8'
User bitmap 'TMP256x256+8'
User bitmap 'TMP128x128+8'
Bmpman: 1364/4750 bitmap slots in use.
Ending level bitmap paging...
=================== ENDING LOAD ================
Real count = 1439, Estimated count = 1250
================================================
Received post for event GS_EVENT_RED_ALERT during state transtition. Find Allender if you are unsure if this is bad.
Frame 0 too long!!: frametime = 43.474 (43.474)
Got event GS_EVENT_RED_ALERT (57) in state GS_STATE_CMD_BRIEF (43)
Throwing out event 15 because of state set from 43 to 44
ANI iconfighter06 with size 28x28 (12.5% wasted)
ANI iconfighter13 with size 28x28 (12.5% wasted)
ANI iconfighter07 with size 28x28 (12.5% wasted)
ANI 2_ssfighter06.ani with size 368x368 (28.1% wasted)
SHIP ANI: Found hires version of 2_ssfighter06.ani
ANI 2_ssfighter13.ani with size 368x368 (28.1% wasted)
SHIP ANI: Found hires version of 2_ssfighter13.ani
ANI iconSD4 with size 24x24 (25.0% wasted)
ANI iconScalpel with size 24x24 (25.0% wasted)
ANI iconMX-64 with size 24x24 (25.0% wasted)
ANI iconTempest with size 24x24 (25.0% wasted)
ANI iconHornet with size 24x24 (25.0% wasted)
ANI iconCrossbow with size 24x24 (25.0% wasted)
ANI 2_SD4.ani with size 304x304 (40.6% wasted)
ANI 2_Scalpel.ani with size 304x304 (40.6% wasted)
ANI 2_mx64.ani with size 304x304 (40.6% wasted)
ANI 2_Tempest.ani with size 304x304 (40.6% wasted)
ANI 2_hornet.ani with size 304x304 (40.6% wasted)
ANI 2_cross.ani with size 304x304 (40.6% wasted)
ANI cursor.ani with size 24x24 (25.0% wasted)
Frame 0 too long!!: frametime = 0.423 (0.423)
Got event GS_EVENT_ENTER_GAME (2) in state GS_STATE_RED_ALERT (44)
Entering game at time = 55.893
TagsNo tags attached.
Attached Files
  • txt file icon errorlog.txt (41,887 bytes) 2007-01-30 03:22 -
    
    
    
    fs2_open_3_6_9_debug-INF caused an Access Violation in module fs2_open_3_6_9_debug-INF.exe at 001b:00440972.
    Exception handler called in FreeSpace 2 Main Thread.
    Error occurred at 1/29/2007 19:06:04.
    C:\StrcApps\FreeSpace2\fs2_open_3_6_9_debug-INF.exe, run by rshannon.
    1 processor(s), type 586.
    512 MBytes physical memory.
    Read from location 00000000 caused an access violation.
    
    Registers:
    EAX=0f054290 CS=001b EIP=00440972 EFLGS=00010206
    EBX=7ffde000 SS=0023 ESP=0012f6e4 EBP=0012f77c
    ECX=00000000 DS=0023 ESI=0126ac58 FS=003b
    EDX=00000000 ES=0023 EDI=0012f77c GS=0000
    Bytes at CS:EIP:
    8b 04 0a 89 45 f0 8b 4d 08 8b 51 1c 69 d2 c8 29 
    Stack dump:
    0012f6e4: 0126ac8c 0126ac58 7ffde000 cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f704: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f724: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f744: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f764: cccccccc cccccccc cccccccc 00000000 3e19999a ffffffff 0012f7e8 004420b6
    0012f784: 0126ac04 3e800000 0012f854 0012f85c 7ffde000 cccccccc cccccccc cccccccc
    0012f7a4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f7c4: cccccccc cccccccc cccccccc cccccccc cccccccc 452634ab 450ef65d 463ea4bd
    0012f7e4: 0126ac04 0012f854 0040b22f 3e800000 0012f928 0012f85c 7ffde000 cccccccc
    0012f804: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f824: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc 00000000
    0012f844: cccccccc cccccccc cccccccc cccccccc 0012f928 0040bc6e 0012f980 0012fa40
    0012f864: 7ffde000 cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f884: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f8a4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f8c4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f8e4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc 00000001 00000000
    0012f904: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 cccccccc
    0012f924: 00975ced 0012f980 0040c8c0 00000000 0012f9d8 0012fa40 7ffde000 cccccccc
    0012f944: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f964: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc 0012f9d8
    0012f984: 0040ef07 0012fa38 0012fa40 7ffde000 cccccccc cccccccc cccccccc cccccccc
    0012f9a4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f9c4: cccccccc cccccccc cccccccc cccccccc 00000001 0012fa38 0054fca9 00000002
    0012f9e4: 0012fab4 0012fa40 7ffde000 cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fa04: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fa24: cccccccc cccccccc cccccccc 0000002c 00000002 0012fab4 0040ffe7 0012ff18
    0012fa44: 0012fac0 7ffde000 cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fa64: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fa84: cccccccc cccccccc 00000000 00000020 00000034 1ff78000 0f224000 ffffffff
    0012faa4: ffffffff 7ffe0000 7b4f2000 0000002c 0012ff30 00410179 001523ae 00150000
    0012fac4: 0012ec84 7ffde000 cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fae4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fb04: cccccccc cccccccc 0012fb26 535c3a43 41637274 5c737070 65657246 63617053
    0012fb24: 66003265 6f5f3273 5f6e6570 5f365f33 65645f39 2d677562 2e464e49 00657865
    0012fb44: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fb64: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fb84: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fba4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fbc4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fbe4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fc04: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fc24: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fc44: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fc64: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fc84: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fca4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fcc4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fce4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fd04: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fd24: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fd44: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fd64: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fd84: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fda4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fdc4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fde4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fe04: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fe24: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fe44: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fe64: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fe84: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fea4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fec4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fee4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012ff04: cccccccc cccccccc cccccccc 00000000 ffffffff 0012fac0 0012f308 0012ffb0
    0012ff24: 007b3458 00842f50 00000000 0012ffc0 007b3e16 00400000 00000000 001523ae
    0012ff44: 0000000a 00150000 0012ec84 7ffde000 0000000a 00000000 001523ae c038a88c
    0012ff64: 00000044 001544d8 00153530 00154538 00000000 00000000 00000000 00000000
    0012ff84: 00000000 00000000 00000000 00000000 00000000 00000000 ffffffff ffffffff
    0012ffa4: ffffffff 0012ff48 00000206 0012ffe0 007b3458 008b6d10 00000000 0012fff0
    0012ffc4: 7c816fd7 00150000 0012ec84 7ffde000 8054a938 0012ffc8 82a05da8 ffffffff
    0012ffe4: 7c839aa8 7c816fe0 00000000 00000000 00000000 007b3cf0 00000000
    Last safe point: last safepoint: J:\src\cvs\fs2_open_3_6_9.final\code\Starfield\StarField.cpp, 1037; [leaving starfield_generate_bitmap_instance_vertex_buffers]
    
    	Module list: names, addresses, sizes, time stamps and file times:
    C:\StrcApps\FreeSpace2\fs2_open_3_6_9_debug-INF.exe, loaded at 0x00400000 - 8615987 bytes - 45a603f7 - file date is 1/11/2007 04:31:36
    C:\Program Files\Ray Adams\ATI Tray Tools\raphook.dll, loaded at 0x03490000 - 278528 bytes - 4566be46 - file date is 11/24/2006 02:41:26
    C:\WINDOWS\system32\wrap_oal.dll, loaded at 0x03660000 - 409600 bytes - 452c3235 - file date is 12/18/2006 21:55:14
    C:\WINDOWS\system32\ctagent.dll, loaded at 0x04260000 - 61440 bytes - 3dc73578 - file date is 11/5/2002 10:05:30
    C:\WINDOWS\system32\OpenAL32.dll, loaded at 0x10000000 - 114688 bytes - 454251df - file date is 12/18/2006 21:55:14
    C:\WINDOWS\system32\NETAPI32.dll, loaded at 0x5b860000 - 332288 bytes - 44e460eb - file date is 8/17/2006 05:28:28
    C:\WINDOWS\system32\COMCTL32.dll, loaded at 0x5d090000 - 617472 bytes - 44ef1b36 - file date is 8/25/2006 08:45:58
    C:\WINDOWS\system32\iertutil.dll, loaded at 0x5dca0000 - 266752 bytes - 4535359a - file date is 10/17/2006 12:57:20
    C:\WINDOWS\system32\OPENGL32.dll, loaded at 0x5ed00000 - 713728 bytes - 411096f8 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\urlmon.dll, loaded at 0x61410000 - 1162240 bytes - 454283b4 - file date is 10/27/2006 15:09:58
    C:\WINDOWS\system32\hnetcfg.dll, loaded at 0x662b0000 - 344064 bytes - 411096a0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\HID.DLL, loaded at 0x688f0000 - 20992 bytes - 4110969c - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\GLU32.dll, loaded at 0x68b20000 - 122880 bytes - 41109697 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\atioglxx.dll, loaded at 0x69000000 - 5304320 bytes - 4584a987 - file date is 12/16/2006 19:21:04
    C:\Program Files\Common Files\Microsoft Shared\Speech\sapi.dll, loaded at 0x6d6e0000 - 741376 bytes - 411096b0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\d3d8thk.dll, loaded at 0x6d990000 - 8192 bytes - 41109692 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\d3d8.dll, loaded at 0x6d9a0000 - 1179648 bytes - 41109692 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\mswsock.dll, loaded at 0x71a50000 - 245248 bytes - 41109758 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\System32\wshtcpip.dll, loaded at 0x71a90000 - 19968 bytes - 411096fd - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WS2HELP.dll, loaded at 0x71aa0000 - 19968 bytes - 411096f3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WS2_32.dll, loaded at 0x71ab0000 - 82944 bytes - 411096f2 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WSOCK32.dll, loaded at 0x71ad0000 - 22528 bytes - 411096ff - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\DINPUT.dll, loaded at 0x72280000 - 159232 bytes - 411096af - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\msacm32.drv, loaded at 0x72d10000 - 20480 bytes - 3b7dfe2a - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\wdmaud.drv, loaded at 0x72d20000 - 23552 bytes - 411096c6 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\DDRAW.dll, loaded at 0x73760000 - 266240 bytes - 411096a0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\AVIFIL32.dll, loaded at 0x73b50000 - 84992 bytes - 411096d3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\DCIMAN32.dll, loaded at 0x73bc0000 - 8704 bytes - 4110969f - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\KsUser.dll, loaded at 0x73ee0000 - 4096 bytes - 411096ad - file date is 8/3/2004 23:56:44
    C:\WINDOWS\system32\dsound.dll, loaded at 0x73f10000 - 367616 bytes - 411096d4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSCTF.dll, loaded at 0x74720000 - 294400 bytes - 411096ea - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\Quartz.dll, loaded at 0x74810000 - 1287168 bytes - 4313d872 - file date is 8/29/2005 20:54:26
    C:\WINDOWS\system32\msctfime.ime, loaded at 0x755c0000 - 177152 bytes - 411096eb - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSVFW32.dll, loaded at 0x75a70000 - 120832 bytes - 41109753 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\IMM32.DLL, loaded at 0x76390000 - 110080 bytes - 411096ae - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\SHFOLDER.dll, loaded at 0x76780000 - 25088 bytes - 411096b8 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WINMM.dll, loaded at 0x76b40000 - 176128 bytes - 411096d6 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\PSAPI.DLL, loaded at 0x76bf0000 - 23040 bytes - 411096ca - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WINTRUST.dll, loaded at 0x76c30000 - 176640 bytes - 411096b9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\IMAGEHLP.dll, loaded at 0x76c90000 - 144384 bytes - 411096a9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\iphlpapi.dll, loaded at 0x76d60000 - 94720 bytes - 446dc13d - file date is 5/19/2006 05:59:42
    C:\WINDOWS\system32\rtutils.dll, loaded at 0x76e80000 - 44032 bytes - 411096b4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\rasman.dll, loaded at 0x76e90000 - 61440 bytes - 411096ad - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\TAPI32.dll, loaded at 0x76eb0000 - 181760 bytes - 411096b6 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\rasapi32.dll, loaded at 0x76ee0000 - 236544 bytes - 411096a9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\CLBCATQ.DLL, loaded at 0x76fd0000 - 498688 bytes - 42e5be90 - file date is 7/25/2005 21:39:44
    C:\WINDOWS\system32\COMRes.dll, loaded at 0x77050000 - 792064 bytes - 411096b4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\OLEAUT32.dll, loaded at 0x77120000 - 553472 bytes - 411096f3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.2982_x-ww_ac3f9c03\comctl32.dll, loaded at 0x773d0000 - 1054208 bytes - 44ef1b33 - file date is 8/25/2006 08:45:56
    C:\WINDOWS\system32\ole32.dll, loaded at 0x774e0000 - 1285120 bytes - 42e5be93 - file date is 7/25/2005 21:39:48
    C:\WINDOWS\system32\SETUPAPI.DLL, loaded at 0x77920000 - 983552 bytes - 411096b0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\CRYPT32.dll, loaded at 0x77a80000 - 597504 bytes - 41109691 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSASN1.dll, loaded at 0x77b20000 - 57344 bytes - 411096e3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\midimap.dll, loaded at 0x77bd0000 - 18944 bytes - 411096a9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSACM32.dll, loaded at 0x77be0000 - 71680 bytes - 411096cf - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\VERSION.dll, loaded at 0x77c00000 - 18944 bytes - 411096b7 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\msvcrt.dll, loaded at 0x77c10000 - 343040 bytes - 41109752 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\msv1_0.dll, loaded at 0x77c70000 - 129536 bytes - 4110974f - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\USER32.dll, loaded at 0x77d40000 - 577024 bytes - 42260159 - file date is 3/2/2005 11:09:30
    C:\WINDOWS\system32\ADVAPI32.dll, loaded at 0x77dd0000 - 616960 bytes - 411096a7 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\RPCRT4.dll, loaded at 0x77e70000 - 581120 bytes - 411096ae - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\GDI32.dll, loaded at 0x77f10000 - 280064 bytes - 43b34feb - file date is 12/28/2005 19:54:36
    C:\WINDOWS\system32\SHLWAPI.dll, loaded at 0x77f60000 - 474112 bytes - 45091559 - file date is 9/14/2006 01:39:54
    C:\WINDOWS\system32\secur32.dll, loaded at 0x77fe0000 - 55808 bytes - 411096c1 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\kernel32.dll, loaded at 0x7c800000 - 984064 bytes - 44ab9a84 - file date is 7/5/2006 03:55:02
    C:\WINDOWS\system32\ntdll.dll, loaded at 0x7c900000 - 708096 bytes - 411096b4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\SHELL32.dll, loaded at 0x7c9c0000 - 8453632 bytes - 44b64ba4 - file date is 7/13/2006 06:33:28
    
    
    
    
    fs2_open_3_6_9 caused an Access Violation in module fs2_open_3_6_9.exe at 001b:00427c04.
    Exception handler called in FreeSpace 2 Main Thread.
    Error occurred at 1/29/2007 20:06:58.
    C:\StrcApps\FreeSpace2\fs2_open_3_6_9.exe, run by rshannon.
    1 processor(s), type 586.
    512 MBytes physical memory.
    Read from location 00000000 caused an access violation.
    
    Registers:
    EAX=00000000 CS=001b EIP=00427c04 EFLGS=00010202
    EBX=00000000 SS=0023 ESP=0012fa1c EBP=0109b340
    ECX=00000000 DS=0023 ESI=00000000 FS=003b
    EDX=00000000 ES=0023 EDI=0109b3c8 GS=0000
    Bytes at CS:EIP:
    8b 3c 11 8d 0c 80 8d 14 88 c1 e2 03 2b d0 8d 04 
    Stack dump:
    0012fa1c: 0109b3c8 0109b394 0109b340 c53e2666 00000000 0012ff34 00000001 0000000e
    0012fa3c: 0109b340 00428152 0109b340 00428b0c 00428b29 00000000 3e800000 00000100
    0012fa5c: 00001000 0012ff34 00000001 0040539a 3e800000 00000001 004059a2 020f4138
    0012fa7c: 00000002 ffffffff ffffffff 000000fa 00000000 027f0e7f 015c2ed9 00417adf
    0012fa9c: 00405f6c 3e800000 00004000 00010000 00000002 0012ff34 00406080 00000000
    0012fabc: 00407f73 00000001 00000002 004dc636 00000002 0012fb2b 00000000 004089f0
    0012fadc: 00000020 0000001d 1ff78000 168aa000 ffffffff ffffffff 7ffe0000 7bbb1000
    0012fafc: 00408ae8 0015238c 61742d20 00000000 7ffdb000 02000200 535c3a43 41637274
    0012fb1c: 5c737070 65657246 63617053 66003265 6f5f3273 5f6e6570 5f365f33 78652e39
    0012fb3c: 02fa0065 02100210 02140214 03120210 02fa3780 02140210 02100312 02fa0178
    0012fb5c: 00000000 03010301 03010301 03010301 03010301 03010301 02fa2430 00000003
    0012fb7c: 0012fbb0 02fa0000 7c910732 00000007 02fa07d8 02fa0000 02fa48d8 0012fb88
    0012fb9c: 02fa0000 0012fdcc 7c90ee18 7c910738 ffffffff 7c910732 7c9106ab 7c9106eb
    0012fbbc: 02fa48b8 0000001f 02fa48b8 00000003 02fa0718 02fa0000 00000000 0012fbc8
    0012fbdc: 02fa0640 0012fe0c 02fa0000 0012fc1c 02fa0000 7c910732 00000007 02fa07d8
    0012fbfc: 02fa0000 02fa48a0 0012fbf4 00150778 0012fe38 7c90ee18 7c910738 ffffffff
    0012fc1c: 7c910732 7c9106ab 7c9106eb 02490878 02490878 7ffdb001 7c9106eb 02490b30
    0012fc3c: 0012ff14 00000000 0012fc78 0012fc7c 02fa0000 7c90d4ea 7c9180ff ffffffff
    0012fc5c: 0012fc90 00000000 0012fcb4 00001000 00000004 02fa0000 02fa7000 02fa0000
    0012fc7c: 02fa6ab8 0012fcb0 02fa6ab8 02fa6ab8 0012fcbc 7c917e77 02fa0000 02fa7230
    0012fc9c: 02fa6ab8 000000ed 02fa0000 00000740 00000760 02fa23a0 000001ba 0112fea4
    0012fcbc: 0012fea8 7c917c0c 02fa0000 00000001 7c917bf5 02fa0608 7c917bb0 00000000
    0012fcdc: 00000770 02fa6ac0 02fa02c8 00000010 00150178 02fa01a0 7c844816 00000008
    0012fcfc: 00000000 02fa0178 02fa6ac0 02fa0178 02fa4858 02fa6aa8 0015d338 00000008
    0012fd1c: 02fa0188 00000020 02fa0178 00000008 02fa6ac0 0015d2f0 00000008 00650065
    0012fd3c: 02fa0178 02fa0410 00150178 0012fd64 0015d318 00000002 02fa3db0 0012fd68
    0012fd5c: 00000000 00150178 02fa4898 0015d340 0012fd7c 00000000 7c9105c8 00000007
    0012fd7c: 0012fe48 7c910551 02fa1138 00000008 00000001 00000008 00000008 02fa2ee8
    0012fd9c: 02fa6488 02fa6ab8 02fa3888 02fa6ab8 02fa6ab8 02fa6aa8 02fa0410 00000038
    0012fdbc: 02004178 02fa0000 0012fbbc 00150178 0012fe08 7c90ee18 7c9106f0 ffffffff
    0012fddc: 7c9106eb 00667d85 02fa0000 00000000 00000030 02fa48b8 0000001f 02fa48b8
    0012fdfc: 00000000 02fa6a88 0012fbfc 0012fe50 00666d58 006c87d8 ffffffff 0012fe5c
    0012fe1c: 00667c7c 00000021 00667177 00000021 02490878 00000000 00000000 000000e9
    0012fe3c: 000000ed 00000000 02fa6ac0 02490878 02490878 7ffdb001 006c0b10 00000000
    0012fe5c: 00000001 7c80977a 024914e8 00000000 02fa0000 02fa0000 00000740 00000760
    0012fe7c: 000000ef 01000758 00000778 0249096c 0012fcd4 0012fcd8 0012fef0 0012fef4
    0012fe9c: 7c90ee18 7c917bb8 ffffffff 7c917bb0 0066ab98 02fa0000 00000001 02fa6ac0
    0012febc: 00000770 61742d20 00000764 7c910945 7c91094e 61742d20 00020000 7ffdb000
    0012fedc: 7ffdb000 61742d20 7ffdb000 7c901005 0012fed0 0012ffb0 0012ff30 7c90ee18
    0012fefc: 7c910970 7c97e4c0 7c8021b5 7c802011 61742d20 00000000 ffffffff 006dae18
    0012ff1c: 0012fb04 0012f640 0012ffb0 00666d58 006c66a0 00000000 0012ffc0 00667319
    0012ff3c: 00400000 00000000 0015238c 0000000a 61742d20 74656772 7ffdb000 00000000
    0012ff5c: 0015238c c038aa50 00000044 001544a8 00153510 00154508 00000000 00000000
    0012ff7c: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0012ff9c: ffffffff ffffffff ffffffff 0012ff4c 00000206 0012ffe0 00666d58 006c87b0
    0012ffbc: 00000000 0012fff0 7c816fd7 61742d20 74656772 7ffdb000 8054a938 0012ffc8
    0012ffdc: 8294d340 ffffffff 7c839aa8 7c816fe0 00000000 00000000 00000000 00667239
    0012fffc: 00000000
    
    	Module list: names, addresses, sizes, time stamps and file times:
    C:\StrcApps\FreeSpace2\fs2_open_3_6_9.exe, loaded at 0x00400000 - 3534848 bytes - 45a7185d - file date is 1/12/2007 00:11:00
    C:\Program Files\Ray Adams\ATI Tray Tools\raphook.dll, loaded at 0x02fb0000 - 278528 bytes - 4566be46 - file date is 11/24/2006 02:41:26
    C:\WINDOWS\system32\wrap_oal.dll, loaded at 0x031a0000 - 409600 bytes - 452c3235 - file date is 12/18/2006 21:55:14
    C:\WINDOWS\system32\ctagent.dll, loaded at 0x03d90000 - 61440 bytes - 3dc73578 - file date is 11/5/2002 10:05:30
    C:\WINDOWS\system32\OpenAL32.dll, loaded at 0x10000000 - 114688 bytes - 454251df - file date is 12/18/2006 21:55:14
    C:\WINDOWS\system32\NETAPI32.dll, loaded at 0x5b860000 - 332288 bytes - 44e460eb - file date is 8/17/2006 05:28:28
    C:\WINDOWS\system32\COMCTL32.dll, loaded at 0x5d090000 - 617472 bytes - 44ef1b36 - file date is 8/25/2006 08:45:58
    C:\WINDOWS\system32\iertutil.dll, loaded at 0x5dca0000 - 266752 bytes - 4535359a - file date is 10/17/2006 12:57:20
    C:\WINDOWS\system32\OPENGL32.dll, loaded at 0x5ed00000 - 713728 bytes - 411096f8 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\urlmon.dll, loaded at 0x61410000 - 1162240 bytes - 454283b4 - file date is 10/27/2006 15:09:58
    C:\WINDOWS\system32\hnetcfg.dll, loaded at 0x662b0000 - 344064 bytes - 411096a0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\HID.DLL, loaded at 0x688f0000 - 20992 bytes - 4110969c - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\GLU32.dll, loaded at 0x68b20000 - 122880 bytes - 41109697 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\atioglxx.dll, loaded at 0x69000000 - 5304320 bytes - 4584a987 - file date is 12/16/2006 19:21:04
    C:\Program Files\Common Files\Microsoft Shared\Speech\sapi.dll, loaded at 0x6d6e0000 - 741376 bytes - 411096b0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\d3d8thk.dll, loaded at 0x6d990000 - 8192 bytes - 41109692 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\d3d8.dll, loaded at 0x6d9a0000 - 1179648 bytes - 41109692 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\mswsock.dll, loaded at 0x71a50000 - 245248 bytes - 41109758 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\System32\wshtcpip.dll, loaded at 0x71a90000 - 19968 bytes - 411096fd - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WS2HELP.dll, loaded at 0x71aa0000 - 19968 bytes - 411096f3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WS2_32.dll, loaded at 0x71ab0000 - 82944 bytes - 411096f2 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WSOCK32.dll, loaded at 0x71ad0000 - 22528 bytes - 411096ff - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\DINPUT.dll, loaded at 0x72280000 - 159232 bytes - 411096af - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\msacm32.drv, loaded at 0x72d10000 - 20480 bytes - 3b7dfe2a - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\wdmaud.drv, loaded at 0x72d20000 - 23552 bytes - 411096c6 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\DDRAW.dll, loaded at 0x73760000 - 266240 bytes - 411096a0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\AVIFIL32.dll, loaded at 0x73b50000 - 84992 bytes - 411096d3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\DCIMAN32.dll, loaded at 0x73bc0000 - 8704 bytes - 4110969f - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\KsUser.dll, loaded at 0x73ee0000 - 4096 bytes - 411096ad - file date is 8/3/2004 23:56:44
    C:\WINDOWS\system32\dsound.dll, loaded at 0x73f10000 - 367616 bytes - 411096d4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSCTF.dll, loaded at 0x74720000 - 294400 bytes - 411096ea - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\msctfime.ime, loaded at 0x755c0000 - 177152 bytes - 411096eb - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSVFW32.dll, loaded at 0x75a70000 - 120832 bytes - 41109753 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\IMM32.DLL, loaded at 0x76390000 - 110080 bytes - 411096ae - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\SHFOLDER.dll, loaded at 0x76780000 - 25088 bytes - 411096b8 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WINMM.dll, loaded at 0x76b40000 - 176128 bytes - 411096d6 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\PSAPI.DLL, loaded at 0x76bf0000 - 23040 bytes - 411096ca - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WINTRUST.dll, loaded at 0x76c30000 - 176640 bytes - 411096b9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\IMAGEHLP.dll, loaded at 0x76c90000 - 144384 bytes - 411096a9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\iphlpapi.dll, loaded at 0x76d60000 - 94720 bytes - 446dc13d - file date is 5/19/2006 05:59:42
    C:\WINDOWS\system32\rtutils.dll, loaded at 0x76e80000 - 44032 bytes - 411096b4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\rasman.dll, loaded at 0x76e90000 - 61440 bytes - 411096ad - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\TAPI32.dll, loaded at 0x76eb0000 - 181760 bytes - 411096b6 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\rasapi32.dll, loaded at 0x76ee0000 - 236544 bytes - 411096a9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\CLBCATQ.DLL, loaded at 0x76fd0000 - 498688 bytes - 42e5be90 - file date is 7/25/2005 21:39:44
    C:\WINDOWS\system32\COMRes.dll, loaded at 0x77050000 - 792064 bytes - 411096b4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\OLEAUT32.dll, loaded at 0x77120000 - 553472 bytes - 411096f3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.2982_x-ww_ac3f9c03\comctl32.dll, loaded at 0x773d0000 - 1054208 bytes - 44ef1b33 - file date is 8/25/2006 08:45:56
    C:\WINDOWS\system32\ole32.dll, loaded at 0x774e0000 - 1285120 bytes - 42e5be93 - file date is 7/25/2005 21:39:48
    C:\WINDOWS\system32\SETUPAPI.DLL, loaded at 0x77920000 - 983552 bytes - 411096b0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\CRYPT32.dll, loaded at 0x77a80000 - 597504 bytes - 41109691 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSASN1.dll, loaded at 0x77b20000 - 57344 bytes - 411096e3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\midimap.dll, loaded at 0x77bd0000 - 18944 bytes - 411096a9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSACM32.dll, loaded at 0x77be0000 - 71680 bytes - 411096cf - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\VERSION.dll, loaded at 0x77c00000 - 18944 bytes - 411096b7 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\msvcrt.dll, loaded at 0x77c10000 - 343040 bytes - 41109752 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\msv1_0.dll, loaded at 0x77c70000 - 129536 bytes - 4110974f - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\USER32.dll, loaded at 0x77d40000 - 577024 bytes - 42260159 - file date is 3/2/2005 11:09:30
    C:\WINDOWS\system32\ADVAPI32.dll, loaded at 0x77dd0000 - 616960 bytes - 411096a7 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\RPCRT4.dll, loaded at 0x77e70000 - 581120 bytes - 411096ae - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\GDI32.dll, loaded at 0x77f10000 - 280064 bytes - 43b34feb - file date is 12/28/2005 19:54:36
    C:\WINDOWS\system32\SHLWAPI.dll, loaded at 0x77f60000 - 474112 bytes - 45091559 - file date is 9/14/2006 01:39:54
    C:\WINDOWS\system32\secur32.dll, loaded at 0x77fe0000 - 55808 bytes - 411096c1 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\kernel32.dll, loaded at 0x7c800000 - 984064 bytes - 44ab9a84 - file date is 7/5/2006 03:55:02
    C:\WINDOWS\system32\ntdll.dll, loaded at 0x7c900000 - 708096 bytes - 411096b4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\SHELL32.dll, loaded at 0x7c9c0000 - 8453632 bytes - 44b64ba4 - file date is 7/13/2006 06:33:28
    
    
    
    
    fs2_open_3_6_9_debug caused an Access Violation in module fs2_open_3_6_9_debug.exe at 001b:00440942.
    Exception handler called in FreeSpace 2 Main Thread.
    Error occurred at 1/29/2007 20:08:16.
    C:\StrcApps\FreeSpace2\fs2_open_3_6_9_debug.exe, run by rshannon.
    1 processor(s), type 586.
    512 MBytes physical memory.
    Read from location 00000000 caused an access violation.
    
    Registers:
    EAX=03ece908 CS=001b EIP=00440942 EFLGS=00010206
    EBX=7ffde000 SS=0023 ESP=0012f6e4 EBP=0012f77c
    ECX=00000000 DS=0023 ESI=01268dbc FS=003b
    EDX=00000000 ES=0023 EDI=0012f77c GS=0000
    Bytes at CS:EIP:
    8b 04 0a 89 45 f0 8b 4d 08 8b 51 1c 69 d2 c8 29 
    Stack dump:
    0012f6e4: 01268df0 01268dbc 7ffde000 cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f704: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f724: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f744: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f764: cccccccc cccccccc cccccccc 00000000 3e19999a ffffffff 0012f7e8 00442086
    0012f784: 01268d68 3e800000 0012f854 0012f85c 7ffde000 cccccccc cccccccc cccccccc
    0012f7a4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f7c4: cccccccc cccccccc cccccccc cccccccc cccccccc c66de0cd 4555cb33 c53e2666
    0012f7e4: 01268d68 0012f854 0040b22f 3e800000 0012f928 0012f85c 7ffde000 cccccccc
    0012f804: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f824: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc 00000000
    0012f844: cccccccc cccccccc cccccccc cccccccc 0012f928 0040bc6e 0012f980 0012fa40
    0012f864: 7ffde000 cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f884: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f8a4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f8c4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f8e4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc 00000001 00000000
    0012f904: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 cccccccc
    0012f924: 0037e49b 0012f980 0040c8c0 00000000 0012f9d8 0012fa40 7ffde000 cccccccc
    0012f944: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f964: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc 0012f9d8
    0012f984: 0040ef07 0012fa38 0012fa40 7ffde000 cccccccc cccccccc cccccccc cccccccc
    0012f9a4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012f9c4: cccccccc cccccccc cccccccc cccccccc 00000001 0012fa38 0054fc69 00000002
    0012f9e4: 0012fab4 0012fa40 7ffde000 cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fa04: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fa24: cccccccc cccccccc cccccccc 0000002c 00000002 0012fab4 0040ffe7 0012ff18
    0012fa44: 0012fac0 7ffde000 cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fa64: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fa84: cccccccc cccccccc 00000000 00000020 0000001e 1ff78000 1628c000 ffffffff
    0012faa4: ffffffff 7ffe0000 7b7b3000 0000002c 0012ff30 00410179 001523a2 61742d20
    0012fac4: 74656772 7ffde000 cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fae4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fb04: cccccccc cccccccc 0012fb26 535c3a43 41637274 5c737070 65657246 63617053
    0012fb24: 66003265 6f5f3273 5f6e6570 5f365f33 65645f39 2e677562 00657865 cccccccc
    0012fb44: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fb64: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fb84: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fba4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fbc4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fbe4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fc04: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fc24: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fc44: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fc64: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fc84: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fca4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fcc4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fce4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fd04: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fd24: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fd44: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fd64: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fd84: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fda4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fdc4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fde4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fe04: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fe24: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fe44: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fe64: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fe84: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fea4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fec4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012fee4: cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc cccccccc
    0012ff04: cccccccc cccccccc cccccccc 00000000 ffffffff 0012fac0 0012f308 0012ffb0
    0012ff24: 007b3378 00841f50 00000000 0012ffc0 007b3d36 00400000 00000000 001523a2
    0012ff44: 0000000a 61742d20 74656772 7ffde000 0000000a 00000000 001523a2 c038ab30
    0012ff64: 00000044 001544d0 00153528 00154530 00000000 00000000 00000000 00000000
    0012ff84: 00000000 00000000 00000000 00000000 00000000 00000000 ffffffff ffffffff
    0012ffa4: ffffffff 0012ff48 00000206 0012ffe0 007b3378 008b5cf8 00000000 0012fff0
    0012ffc4: 7c816fd7 61742d20 74656772 7ffde000 8054a938 0012ffc8 8298b1d0 ffffffff
    0012ffe4: 7c839aa8 7c816fe0 00000000 00000000 00000000 007b3c10 00000000
    Last safe point: last safepoint: J:\src\cvs\fs2_open_3_6_9.final\code\Starfield\StarField.cpp, 1037; [leaving starfield_generate_bitmap_instance_vertex_buffers]
    
    	Module list: names, addresses, sizes, time stamps and file times:
    C:\StrcApps\FreeSpace2\fs2_open_3_6_9_debug.exe, loaded at 0x00400000 - 8611799 bytes - 45a7186a - file date is 1/12/2007 00:11:06
    C:\Program Files\Ray Adams\ATI Tray Tools\raphook.dll, loaded at 0x031d0000 - 278528 bytes - 4566be46 - file date is 11/24/2006 02:41:26
    C:\WINDOWS\system32\wrap_oal.dll, loaded at 0x033a0000 - 409600 bytes - 452c3235 - file date is 12/18/2006 21:55:14
    C:\WINDOWS\system32\ctagent.dll, loaded at 0x03fa0000 - 61440 bytes - 3dc73578 - file date is 11/5/2002 10:05:30
    C:\WINDOWS\system32\OpenAL32.dll, loaded at 0x10000000 - 114688 bytes - 454251df - file date is 12/18/2006 21:55:14
    C:\WINDOWS\system32\NETAPI32.dll, loaded at 0x5b860000 - 332288 bytes - 44e460eb - file date is 8/17/2006 05:28:28
    C:\WINDOWS\system32\COMCTL32.dll, loaded at 0x5d090000 - 617472 bytes - 44ef1b36 - file date is 8/25/2006 08:45:58
    C:\WINDOWS\system32\iertutil.dll, loaded at 0x5dca0000 - 266752 bytes - 4535359a - file date is 10/17/2006 12:57:20
    C:\WINDOWS\system32\OPENGL32.dll, loaded at 0x5ed00000 - 713728 bytes - 411096f8 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\urlmon.dll, loaded at 0x61410000 - 1162240 bytes - 454283b4 - file date is 10/27/2006 15:09:58
    C:\WINDOWS\system32\hnetcfg.dll, loaded at 0x662b0000 - 344064 bytes - 411096a0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\HID.DLL, loaded at 0x688f0000 - 20992 bytes - 4110969c - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\GLU32.dll, loaded at 0x68b20000 - 122880 bytes - 41109697 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\atioglxx.dll, loaded at 0x69000000 - 5304320 bytes - 4584a987 - file date is 12/16/2006 19:21:04
    C:\Program Files\Common Files\Microsoft Shared\Speech\sapi.dll, loaded at 0x6d6e0000 - 741376 bytes - 411096b0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\d3d8thk.dll, loaded at 0x6d990000 - 8192 bytes - 41109692 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\d3d8.dll, loaded at 0x6d9a0000 - 1179648 bytes - 41109692 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\mswsock.dll, loaded at 0x71a50000 - 245248 bytes - 41109758 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\System32\wshtcpip.dll, loaded at 0x71a90000 - 19968 bytes - 411096fd - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WS2HELP.dll, loaded at 0x71aa0000 - 19968 bytes - 411096f3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WS2_32.dll, loaded at 0x71ab0000 - 82944 bytes - 411096f2 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WSOCK32.dll, loaded at 0x71ad0000 - 22528 bytes - 411096ff - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\DINPUT.dll, loaded at 0x72280000 - 159232 bytes - 411096af - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\msacm32.drv, loaded at 0x72d10000 - 20480 bytes - 3b7dfe2a - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\wdmaud.drv, loaded at 0x72d20000 - 23552 bytes - 411096c6 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\DDRAW.dll, loaded at 0x73760000 - 266240 bytes - 411096a0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\AVIFIL32.dll, loaded at 0x73b50000 - 84992 bytes - 411096d3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\DCIMAN32.dll, loaded at 0x73bc0000 - 8704 bytes - 4110969f - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\KsUser.dll, loaded at 0x73ee0000 - 4096 bytes - 411096ad - file date is 8/3/2004 23:56:44
    C:\WINDOWS\system32\dsound.dll, loaded at 0x73f10000 - 367616 bytes - 411096d4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSCTF.dll, loaded at 0x74720000 - 294400 bytes - 411096ea - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\Quartz.dll, loaded at 0x74810000 - 1287168 bytes - 4313d872 - file date is 8/29/2005 20:54:26
    C:\WINDOWS\system32\msctfime.ime, loaded at 0x755c0000 - 177152 bytes - 411096eb - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSVFW32.dll, loaded at 0x75a70000 - 120832 bytes - 41109753 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\IMM32.DLL, loaded at 0x76390000 - 110080 bytes - 411096ae - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\SHFOLDER.dll, loaded at 0x76780000 - 25088 bytes - 411096b8 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WINMM.dll, loaded at 0x76b40000 - 176128 bytes - 411096d6 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\PSAPI.DLL, loaded at 0x76bf0000 - 23040 bytes - 411096ca - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\WINTRUST.dll, loaded at 0x76c30000 - 176640 bytes - 411096b9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\IMAGEHLP.dll, loaded at 0x76c90000 - 144384 bytes - 411096a9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\iphlpapi.dll, loaded at 0x76d60000 - 94720 bytes - 446dc13d - file date is 5/19/2006 05:59:42
    C:\WINDOWS\system32\rtutils.dll, loaded at 0x76e80000 - 44032 bytes - 411096b4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\rasman.dll, loaded at 0x76e90000 - 61440 bytes - 411096ad - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\TAPI32.dll, loaded at 0x76eb0000 - 181760 bytes - 411096b6 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\rasapi32.dll, loaded at 0x76ee0000 - 236544 bytes - 411096a9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\CLBCATQ.DLL, loaded at 0x76fd0000 - 498688 bytes - 42e5be90 - file date is 7/25/2005 21:39:44
    C:\WINDOWS\system32\COMRes.dll, loaded at 0x77050000 - 792064 bytes - 411096b4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\OLEAUT32.dll, loaded at 0x77120000 - 553472 bytes - 411096f3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.2982_x-ww_ac3f9c03\comctl32.dll, loaded at 0x773d0000 - 1054208 bytes - 44ef1b33 - file date is 8/25/2006 08:45:56
    C:\WINDOWS\system32\ole32.dll, loaded at 0x774e0000 - 1285120 bytes - 42e5be93 - file date is 7/25/2005 21:39:48
    C:\WINDOWS\system32\SETUPAPI.DLL, loaded at 0x77920000 - 983552 bytes - 411096b0 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\CRYPT32.dll, loaded at 0x77a80000 - 597504 bytes - 41109691 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSASN1.dll, loaded at 0x77b20000 - 57344 bytes - 411096e3 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\midimap.dll, loaded at 0x77bd0000 - 18944 bytes - 411096a9 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\MSACM32.dll, loaded at 0x77be0000 - 71680 bytes - 411096cf - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\VERSION.dll, loaded at 0x77c00000 - 18944 bytes - 411096b7 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\msvcrt.dll, loaded at 0x77c10000 - 343040 bytes - 41109752 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\msv1_0.dll, loaded at 0x77c70000 - 129536 bytes - 4110974f - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\USER32.dll, loaded at 0x77d40000 - 577024 bytes - 42260159 - file date is 3/2/2005 11:09:30
    C:\WINDOWS\system32\ADVAPI32.dll, loaded at 0x77dd0000 - 616960 bytes - 411096a7 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\RPCRT4.dll, loaded at 0x77e70000 - 581120 bytes - 411096ae - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\GDI32.dll, loaded at 0x77f10000 - 280064 bytes - 43b34feb - file date is 12/28/2005 19:54:36
    C:\WINDOWS\system32\SHLWAPI.dll, loaded at 0x77f60000 - 474112 bytes - 45091559 - file date is 9/14/2006 01:39:54
    C:\WINDOWS\system32\secur32.dll, loaded at 0x77fe0000 - 55808 bytes - 411096c1 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\kernel32.dll, loaded at 0x7c800000 - 984064 bytes - 44ab9a84 - file date is 7/5/2006 03:55:02
    C:\WINDOWS\system32\ntdll.dll, loaded at 0x7c900000 - 708096 bytes - 411096b4 - file date is 2/28/2006 05:00:00
    C:\WINDOWS\system32\SHELL32.dll, loaded at 0x7c9c0000 - 8453632 bytes - 44b64ba4 - file date is 7/13/2006 06:33:28
    
    txt file icon errorlog.txt (41,887 bytes) 2007-01-30 03:22 +
  • log file icon fs2_open.log (18,664 bytes) 2007-01-30 03:22
  • zip file icon homesickcrashdata.zip (33,242 bytes) 2007-02-26 02:40
  • zip file icon infernocrashdata.zip (18,767 bytes) 2007-02-26 02:40

-Relationships
has duplicate 0001299resolvedtaylor Crash on red alert mission 
+Relationships

-Notes

~0007560

Mp-Ryan (reporter)

I almost forgot. The crash occurs both in 3.6.9 Final and in 3.6.9-INF, both in standard and debug builds.

~0007605

Goober5000 (administrator)

Assigning to taylor. This seems to be related to the earlier red-alert bug that set all subsystems to 0%.

~0007705

Mp-Ryan (reporter)

Reminder sent to: taylor

Wondering if you've had a chance to take a look at this red alter issue yet.

~0007707

taylor (administrator)

No, haven't had any time lately to really work on anything SCP related.

I do need your player file (.pl2), your savefile for the campaign (.cs2) and your errorlog.txt though.

~0007728

taylor (administrator)

Also, please attach your pilot files that demonstrate the problem.

~0007730

Mp-Ryan (reporter)

OK Taylor, two zip folders uploaded.

As I'd completed the campaigns (and it doesn't crash from the mission simulator) I created campaign files using missions which have reported the crash both for me and others.

In the Inferno data, you'll find the errorlog, my player file, a campaign file containing just the two missions that generate the crash (player the first, when the second loads, it crashes, providing you've targeted the turrets on the Kismat and Diablo in the first), and two player campaign files - one for the full campaign, which I played through previously, and one for the two-mission campaign I created to exemplify the problem.

The same thing goes for the Homesick data, the only difference being the two-mission campaign I created is located with both missions in a VP. So you should be able to activate that VP in a mod command line and test it yourself.

Both appear to be red-alert related crashes, and it has something to do with the previous mission (because the simulator works fine).

As mentioned in the thread posted in the original bug report, the Inferno red alert crash is conditional on certain subsystems targetted. The Homesick one is not - for the missions I've included, it occurs 100% of the time.

Let me know if you need anything else.

~0007731

taylor (administrator)

I've only had a chance to check Homesick so far, but that particular issue can be tracked back to a pilot file problem. The red alert data is never (re)set properly (been that way since retail) and, due to another red alert bug fix, allows ships to get an incorrect weapon count. Specifically the Deimos in this case, which was getting several secondary weapon banks, and was having a NULL ptr issue later on in the code.

That's easy enough to fix, though your pilot file is slightly fubar at the moment. But if you replay the previous mission in a build with the fix, it will have a chance to fix itself automatically.

I'll try and post a link to an up-to-date 3.6.9-based build later today for you to try out. That will probably happen before I get the chance to look into the Inferno problem, but if they are related then you should be able to figure that out pretty quickly.

~0007733

Mp-Ryan (reporter)

Pilot file isn't a big deal - I keep a backup of the original before playing any campaigns, so I'm not worried about that. I'll try out a fixed build in Homesick when you've got it posted. The Inferno one is a little tougher to reproduce due to the finicky subsystems issue (i.e. if you don't target turrets and subsystems, the next mission doesn't crash but all subsystems etc are set to 0%), but from what you're saying it sounds like it's the same bug.

Let me know when and where the build is posted and I can try it out tonight.

~0007738

taylor (administrator)

Ok, give http://icculus.org/~taylor/fso/willrobinson/Xt0227-win32.rar a try and let me know how it works out.

~0007748

Mp-Ryan (reporter)

That new build fixed the crash in both Homesick and Inferno. You can call this one a success!

~0007756

taylor (administrator)

Good to hear. :)

I'll resolve this once the code hits CVS. But if you happen to notice any remaining issues with the fix between now and then, let me know.

~0007880

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-01-30 03:22 Mp-Ryan New Issue
2007-01-30 03:22 Mp-Ryan File Added: errorlog.txt
2007-01-30 03:22 Mp-Ryan File Added: fs2_open.log
2007-01-30 03:28 Mp-Ryan Note Added: 0007560
2007-02-05 22:31 Goober5000 Status new => assigned
2007-02-05 22:31 Goober5000 Assigned To => taylor
2007-02-05 22:32 Goober5000 Note Added: 0007605
2007-02-23 21:44 Mp-Ryan Note Added: 0007705
2007-02-24 00:54 taylor Note Added: 0007707
2007-02-25 19:52 taylor Note Added: 0007728
2007-02-26 02:39 Mp-Ryan Note Added: 0007730
2007-02-26 02:40 Mp-Ryan File Added: homesickcrashdata.zip
2007-02-26 02:40 Mp-Ryan File Added: infernocrashdata.zip
2007-02-26 07:25 taylor Note Added: 0007731
2007-02-26 18:56 Mp-Ryan Note Added: 0007733
2007-02-27 05:48 taylor Note Added: 0007738
2007-02-27 11:24 taylor Relationship added has duplicate 0001299
2007-02-27 16:10 Mp-Ryan Note Added: 0007748
2007-02-27 20:40 taylor Note Added: 0007756
2007-03-22 21:52 taylor Status assigned => resolved
2007-03-22 21:52 taylor Fixed in Version => 3.6.10
2007-03-22 21:52 taylor Resolution open => fixed
2007-03-22 21:52 taylor Note Added: 0007880
+Issue History